%global extension   vertical-overview
%global uuid        %{extension}@RensAlthuis.github.com
%global commit      b0d20b53be609d3e6bd10c0d49a43d2177db8227
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           gnome-shell-extension-%{extension}
Version:        6^2.%{shortcommit}
Release:        1%{?dist}
Summary:        GNOME Shell extension for vertical overview and workspaces
License:        GPLv3+
BuildArch:      noarch
URL:            https://github.com/RensAlthuis/vertical-overview

Source0:        %{url}/archive/%{commit}/%{extension}-%{shortcommit}.tar.gz

Requires:       gnome-shell-extension-common >= 40
Recommends:     gnome-extensions-app


%description
Gnome has had vertically stacked workspaces for a long time.  The Gnome 40
update unfortunately made the switch to a horizontal layout.  A choice that
many Gnome users disagree with.  This extension Aims to replace the new Gnome
overview with something that resembles the old style.


%prep
%autosetup -p 1 -n %{extension}-%{commit}


%install
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install main extension files
cp -r --preserve=mode,timestamps \
    *.js *.css *.ui metadata.json \
    %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%files
%license LICENSE
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
* Tue Sep 07 2021 Carl George <carl@george.computer> - 6^2.b0d20b5-1
- Latest upstream snapshot

* Mon Aug 30 2021 Carl George <carl@george.computer> - 6^1.d42c869-3
- Add patch to fix GNOME 40.4 breakage
- Install schema xml as correct filename

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6^1.d42c869-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 13 2021 Carl George <carl@george.computer> - 6^1.d42c869-1
- Initial package
- Resolves: rhbz#1981621
